### Class

# Gcr DistributionPoint

unstable since: 4.3.91

#### Description [src]

    final class Gcr.DistributionPoint : GObject.Object
    {
      /* No available fields */
    }

An object describing a CRL distribution point.

A certificate user can use such a Certifiate Revocation List (CLR) distribution point to check if the certificate has been revoked.

These distribution poitns are for example listed as part of a `GcrCertificateExtensionCrlDistributionPoints` object.

Available since: 4.3.91

#### Ancestors

- GObject

#### Instance methods

###### gcr_distribution_point_get_full_name

Returns the full name of the CRL distribution point, if set.

###### gcr_distribution_point_get_relative_name_part

Returns a part of the relative name of `self`, if set.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GcrDistributionPointClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.